<div fxFlex="420px" fxFlex.sm="70" fxFlex.xs="100">
  <form
    style="margin-top: 10%;"
    [formGroup]="form"
    class="sign-in-form"
    (ngSubmit)="resetPassword()"
  >
    <mat-card class="mat-elevation-z1">
      <mat-card-header class="w100">
        <mat-card-title>
          <h2 style="text-align: center;">
            Reset password
          </h2>
        </mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <p class="error" *ngFor="let error of errors">{{ error }}</p>
        <mat-form-field>
          <mat-label>New password</mat-label>
          <input
            matInput
            formControlName="password"
            required
            placeholder="Password"
            name="password"
            type="password"
            autocomplete="current-password"
          />
        </mat-form-field>
        <mat-form-field>
          <mat-label>Confirm new password</mat-label>
          <input
            matInput
            formControlName="passwordConfirmation"
            required
            placeholder="Confirm new password"
            name="passwordConfirmation"
            type="password"
            autocomplete="current-password"
          />
        </mat-form-field>
      </mat-card-content>
      <mat-card-actions fxLayout="row" fxLayoutAlign="end center">
        <button fxFlex="nogrow" mat-raised-button color="primary">Conferma</button>
      </mat-card-actions>
      <mat-card-footer></mat-card-footer>
    </mat-card>
  </form>
</div>
